---
updatedAt: 2026-05-15T09:04:24.000Z
agentTools:
  projectIndex: https://docs.ortex.com/llms.txt
---

# Cost To Borrow

<p>Unlock a detailed view of the cost to borrow securities. This endpoint provides rich and actionable insights into the security lending fees associated with short selling and offers you a clear perspective on market behavior.</p>
<p>This API returns data for multiple stocks in an index for the specified date.</p>
<h3>Available Data Points:</h3>
<ul>
    <li><strong>Date:</strong> The specific date for which the data is retrieved (<code>YYYY-MM-DD</code> format).</li>
    <li><strong>Operating MIC:</strong> The operating Market Identifier Code of the security.</li>
    <li><strong>Ticker:</strong> The ticker symbol associated with the security.</li>
    <li><strong>Exchange:</strong> Symbol of the exchange where the security trades.</li>
    <li><strong>Company:</strong> The name of the company issuing the security.</li>
    <li><strong>FIGI:</strong> The Financial Instrument Global Identifier.</li>
    <li><strong>Share Class FIGI:</strong> The Financial Instrument Global Identifier for the share class.</li>
    <li><strong>Cost to borrow all:</strong> The average lending fees for all outstanding loans presented as an annual percentage rate.</li>
    <li><strong>Cost to borrow new:</strong> The average lending fees for all new loans taken out in the last trading day presented as an annual percentage rate.</li>
</ul>

<p><strong>Try it out!</strong> You can test the API with the <strong>trial key</strong> <code>TEST</code>. Simply include it in your request headers; either here, or add the header <code>"Ortex-Api-Key": "TEST"</code> to your http request.</p>


<p>
<strong>Trial key restrictions: </strong>A list of randomly selected rows will be returned</p>
<p><strong>Get full access!</strong> Get a key at <a href="https://app.ortex.com/apis" target="_blank">app.ortex.com/apis</a></p>


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "ORTEX APIs",
    "version": "1.0",
    "description": "A revolutionary global equity analytics platform which identifies and analyses relevant data for your stocks."
  },
  "paths": {
    "/api/v1/index/short_ctb": {
      "get": {
        "operationId": "index_short_ctb_list",
        "description": "<p>Unlock a detailed view of the cost to borrow securities. This endpoint provides rich and actionable insights into the security lending fees associated with short selling and offers you a clear perspective on market behavior.</p>\n<p>This API returns data for multiple stocks in an index for the specified date.</p>\n<h3>Available Data Points:</h3>\n<ul>\n    <li><strong>Date:</strong> The specific date for which the data is retrieved (<code>YYYY-MM-DD</code> format).</li>\n    <li><strong>Operating MIC:</strong> The operating Market Identifier Code of the security.</li>\n    <li><strong>Ticker:</strong> The ticker symbol associated with the security.</li>\n    <li><strong>Exchange:</strong> Symbol of the exchange where the security trades.</li>\n    <li><strong>Company:</strong> The name of the company issuing the security.</li>\n    <li><strong>FIGI:</strong> The Financial Instrument Global Identifier.</li>\n    <li><strong>Share Class FIGI:</strong> The Financial Instrument Global Identifier for the share class.</li>\n    <li><strong>Cost to borrow all:</strong> The average lending fees for all outstanding loans presented as an annual percentage rate.</li>\n    <li><strong>Cost to borrow new:</strong> The average lending fees for all new loans taken out in the last trading day presented as an annual percentage rate.</li>\n</ul>\n\n<p><strong>Try it out!</strong> You can test the API with the <strong>trial key</strong> <code>TEST</code>. Simply include it in your request headers; either here, or add the header <code>\"Ortex-Api-Key\": \"TEST\"</code> to your http request.</p>\n\n\n<p>\n<strong>Trial key restrictions: </strong>A list of randomly selected rows will be returned</p>\n<p><strong>Get full access!</strong> Get a key at <a href=\"https://app.ortex.com/apis\" target=\"_blank\">app.ortex.com/apis</a></p>\n",
        "summary": "Cost To Borrow",
        "parameters": [
          {
            "in": "query",
            "name": "date",
            "schema": {
              "type": "string",
              "format": "date"
            },
            "description": "Date for shorts data (defaults to last available date). Format: YYYY-MM-DD"
          },
          {
            "in": "query",
            "name": "format",
            "schema": {
              "type": "string",
              "enum": [
                "csv",
                "json"
              ],
              "default": "json"
            },
            "description": "Format of the response. Can be \"json\" or \"csv\". Default is \"json\"."
          },
          {
            "in": "query",
            "name": "index",
            "schema": {
              "type": "string",
              "enum": [
                "Europe Top 600",
                "UK Top 100",
                "US-N 100",
                "US-S 500"
              ],
              "default": "US-S 500"
            },
            "description": "An index name to list all the stocks from"
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "portfolio_name",
            "schema": {
              "type": "string"
            },
            "description": "Filter results to stocks held in a user portfolio, matched case-insensitively against the portfolio name. When provided, the index parameter is ignored."
          }
        ],
        "tags": [
          "Short Interest"
        ],
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedShortCTBIndexV1APIList"
                }
              },
              "text/csv": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedShortCTBIndexV1APIList"
                }
              }
            },
            "description": ""
          },
          "400": {
            "description": "Invalid request parameters"
          },
          "403": {
            "description": "Not authorized"
          },
          "404": {
            "description": "Data not found"
          },
          "429": {
            "description": "Rate limit exceeded"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PaginatedShortCTBIndexV1APIList": {
        "type": "object",
        "required": [
          "length",
          "paginationLinks",
          "rows"
        ],
        "properties": {
          "paginationLinks": {
            "type": "object",
            "example": {
              "next": "http://api.example.org/accounts/?page=4",
              "previous": "http://api.example.org/accounts/?page=2"
            }
          },
          "length": {
            "type": "integer",
            "example": 123
          },
          "rows": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ShortCTBIndexV1API"
            }
          }
        }
      },
      "ShortCTBIndexV1API": {
        "type": "object",
        "properties": {
          "date": {
            "type": "string",
            "format": "date"
          },
          "operatingMic": {
            "type": "string"
          },
          "exchange": {
            "type": "string"
          },
          "ticker": {
            "type": "string"
          },
          "company": {
            "type": "string"
          },
          "figi": {
            "type": "string"
          },
          "shareClassFigi": {
            "type": "string"
          },
          "costToBorrowAll": {
            "type": "number",
            "format": "double"
          },
          "costToBorrowNew": {
            "type": "number",
            "format": "double"
          }
        },
        "required": [
          "company",
          "costToBorrowAll",
          "costToBorrowNew",
          "date",
          "exchange",
          "figi",
          "operatingMic",
          "shareClassFigi",
          "ticker"
        ]
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Ortex-Api-Key",
        "description": "Use test API key: `TEST` to get a limited result."
      }
    }
  },
  "servers": [
    {
      "url": "https://api.ortex.com/",
      "description": "Production"
    }
  ]
}
```